using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Events;

public class Equipment : MonoBehaviour {

    public SpriteRenderer sprite;

    public GameObject noiseCells;

    public int cost;

    public UnityEvent onPlaced;

    public void SetInHoverMode()
    {
        sprite.color = new Color(sprite.color.r, sprite.color.g, sprite.color.b, 0.5f);
        noiseCells.SetActive(true);
    }

    public void SetInNormalMode()
    {
        sprite.color = new Color(sprite.color.r, sprite.color.g, sprite.color.b, 1);
        noiseCells.SetActive(false);
    }
    
    public void ChangeMusic(int index)
    {
        Level.Instance.SetMusic(index);
    }

    public void ChangeMusicVolume(float volume)
    {
        Level.Instance.ChangeMusicVolume(volume);
    }

}
